package com.persagy.dmp.rwd.feign;

import com.fasterxml.jackson.databind.JsonNode;
import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.model.GroupModel;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/***
 * Description: 字典服务Client
 * @author : lijie
 * @date :2021/9/23 15:03
 * Update By lijie 2021/9/23 15:03
 */
@FeignClient(name = "dmp-dic",path = "/dic/dt/data/",url = "${persagy.dmp.dic.service:}")
public interface DicClient {

	@PostMapping("query")
	PagedResponse<JsonNode> query(@RequestParam(name = "userId") String userId,
								  @RequestParam(name = "groupCode") String groupCode,
								  @RequestBody JacksonCriteria criteria);
}
